OpenNMS::Release::RPMVersion(3pm)

NAME
OpenNMS::Release::RPMVersion - Perl extension for manipulating RPM Versions

SYNOPSIS
  use OpenNMS::Release::RPMVersion;

DESCRIPTION
This is just a perl module for manipulating RPM versions.

CONSTRUCTOR
OpenNMS::Release::RPMVersion->new($version, $release, [$epoch])

Given a version, release, and optional epoch, create a version object.

METHODS

  * _compare_to($version)
Given a version, performs a cmp-style comparison, for use in sorting.

AUTHOR
Benjamin Reed, <ranger@opennms.org> Matt Brozowski, <brozow@opennms.org>

COPYRIGHT AND LICENSE
Copyright (C) 2012 by The OpenNMS Group, Inc.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.8 or, at your option, any later version of Perl 5 you may have available.